IRremoteESP8266

Public Attributes | List of all members
Mirage120Protocol Union Reference

Native representation of a Mirage 120-bit A/C message. More...

`#include <ir_Mirage.h>`

## Public Attributes
uint8_t | raw [kMirageStateLength]
| The state in code form. More...
struct {
uint8_t Header:8
uint8_t Temp:8
uint8_t __pad0__:8
uint8_t __pad1__:8
uint8_t Fan:2
uint8_t __pad2__:2
uint8_t Mode:4
uint8_t __pad3__:8
uint8_t __pad4__:8
uint8_t __pad5__:8
uint8_t __pad6__:8
uint8_t __pad7__:8
uint8_t __pad8__:8
uint8_t __pad9__:8
uint8_t __pad10__:8
uint8_t __pad11__:8
uint8_t Sum:8
}; |
struct {
uint8_t __pad0__:8
uint8_t __pad1__:8
uint8_t __pad2__:8
uint8_t __pad3__:3
uint8_t Light_Kkg9ac1:1
uint8_t __pad4__:4
uint8_t __pad5__:8
uint8_t __pad6__:1
uint8_t SwingAndPower:7
uint8_t __pad7__:7
uint8_t Sleep_Kkg9ac1:1
uint8_t __pad8__:3
uint8_t Turbo_Kkg9ac1:1
uint8_t __pad9__:4
uint8_t __pad10__:8
uint8_t __pad11__:8
uint8_t __pad12__:8
uint8_t Seconds:8
uint8_t Minutes:8
uint8_t Hours:8
uint8_t __pad13__:8
}; |
struct {
uint8_t __pad0__:8
uint8_t __pad1__:8
uint8_t __pad2__:8
uint8_t Quiet:1
uint8_t __pad3__:7
uint8_t __pad4__:2
uint8_t OffTimerEnable:1
uint8_t OnTimerEnable:1
uint8_t __pad5__:3
uint8_t __pad6__:1
uint8_t SwingH:1
uint8_t SwingV:1
uint8_t LightToggle_Kkg29ac1:1
uint8_t __pad7__:3
uint8_t Power:2
uint8_t __pad8__:1
uint8_t Filter:1
uint8_t __pad9__:1
uint8_t Sleep_Kkg29ac1:1
uint8_t __pad10__:2
uint8_t RecycleHeat:1
uint8_t __pad11__:1
uint8_t SensorTemp:6
uint8_t CleanToggle:1
uint8_t IFeel:1
uint8_t OnTimerHours:5
uint8_t __pad12__:2
uint8_t Turbo_Kkg29ac1:1
uint8_t OnTimerMins:6
uint8_t __pad13__:2
uint8_t OffTimerHours:5
uint8_t __pad14__:3
uint8_t OffTimerMins:6
uint8_t __pad15__:2
uint8_t __pad16__:8
uint8_t __pad17__:8
uint8_t __pad18__:8
}; |

## Detailed Description

Native representation of a Mirage 120-bit A/C message.

See also
  https://docs.google.com/spreadsheets/d/1Ucu9mOOIIJoWQjUJq_VCvwgV3EwKaRk8K2AuZgccYEk/edit#gid=0

## Member Data Documentation

## ◆ @80

struct { ... }

## ◆ @82

struct { ... }

## ◆ @84

struct { ... }

## ◆ __pad0__

uint8_t Mirage120Protocol::__pad0__

## ◆ __pad10__

uint8_t Mirage120Protocol::__pad10__

## ◆ __pad11__

uint8_t Mirage120Protocol::__pad11__

## ◆ __pad12__

uint8_t Mirage120Protocol::__pad12__

## ◆ __pad13__

uint8_t Mirage120Protocol::__pad13__

## ◆ __pad14__

uint8_t Mirage120Protocol::__pad14__

## ◆ __pad15__

uint8_t Mirage120Protocol::__pad15__

## ◆ __pad16__

uint8_t Mirage120Protocol::__pad16__

## ◆ __pad17__

uint8_t Mirage120Protocol::__pad17__

## ◆ __pad18__

uint8_t Mirage120Protocol::__pad18__

## ◆ __pad1__

uint8_t Mirage120Protocol::__pad1__

## ◆ __pad2__

uint8_t Mirage120Protocol::__pad2__

## ◆ __pad3__

uint8_t Mirage120Protocol::__pad3__

## ◆ __pad4__

uint8_t Mirage120Protocol::__pad4__

## ◆ __pad5__

uint8_t Mirage120Protocol::__pad5__

## ◆ __pad6__

uint8_t Mirage120Protocol::__pad6__

## ◆ __pad7__

uint8_t Mirage120Protocol::__pad7__

## ◆ __pad8__

uint8_t Mirage120Protocol::__pad8__

## ◆ __pad9__

uint8_t Mirage120Protocol::__pad9__

## ◆ CleanToggle

uint8_t Mirage120Protocol::CleanToggle

## ◆ Fan

uint8_t Mirage120Protocol::Fan

## ◆ Filter

uint8_t Mirage120Protocol::Filter

## ◆ Header

uint8_t Mirage120Protocol::Header

## ◆ Hours

uint8_t Mirage120Protocol::Hours

## ◆ IFeel

uint8_t Mirage120Protocol::IFeel

## ◆ Light_Kkg9ac1

uint8_t Mirage120Protocol::Light_Kkg9ac1

## ◆ LightToggle_Kkg29ac1

uint8_t Mirage120Protocol::LightToggle_Kkg29ac1

## ◆ Minutes

uint8_t Mirage120Protocol::Minutes

## ◆ Mode

uint8_t Mirage120Protocol::Mode

## ◆ OffTimerEnable

uint8_t Mirage120Protocol::OffTimerEnable

## ◆ OffTimerHours

uint8_t Mirage120Protocol::OffTimerHours

## ◆ OffTimerMins

uint8_t Mirage120Protocol::OffTimerMins

## ◆ OnTimerEnable

uint8_t Mirage120Protocol::OnTimerEnable

## ◆ OnTimerHours

uint8_t Mirage120Protocol::OnTimerHours

## ◆ OnTimerMins

uint8_t Mirage120Protocol::OnTimerMins

## ◆ Power

uint8_t Mirage120Protocol::Power

## ◆ Quiet

uint8_t Mirage120Protocol::Quiet

## ◆ raw

uint8_t Mirage120Protocol::raw[kMirageStateLength]

The state in code form.

## ◆ RecycleHeat

uint8_t Mirage120Protocol::RecycleHeat

## ◆ Seconds

uint8_t Mirage120Protocol::Seconds

## ◆ SensorTemp

uint8_t Mirage120Protocol::SensorTemp

## ◆ Sleep_Kkg29ac1

uint8_t Mirage120Protocol::Sleep_Kkg29ac1

## ◆ Sleep_Kkg9ac1

uint8_t Mirage120Protocol::Sleep_Kkg9ac1

## ◆ Sum

uint8_t Mirage120Protocol::Sum

## ◆ SwingAndPower

uint8_t Mirage120Protocol::SwingAndPower

## ◆ SwingH

uint8_t Mirage120Protocol::SwingH

## ◆ SwingV

uint8_t Mirage120Protocol::SwingV

## ◆ Temp

uint8_t Mirage120Protocol::Temp

## ◆ Turbo_Kkg29ac1

uint8_t Mirage120Protocol::Turbo_Kkg29ac1

## ◆ Turbo_Kkg9ac1

uint8_t Mirage120Protocol::Turbo_Kkg9ac1

The documentation for this union was generated from the following file:

- src/ir_Mirage.h